import { createAction, props } from '@ngrx/store';
import { UpdateInfo } from '@ucap-webmessenger/native';

export const existInstantUpdate = createAction(
  '[Setting::Update] Exist Instant Update',
  props<{ updateInfo: UpdateInfo }>()
);

export const applyUpdate = createAction(
  '[Setting::Update] Apply Update',
  props<{ currentVersion: string }>()
);

export const applyInstantUpdate = createAction(
  '[Setting::Update] Apply Instant Update'
);
